/// <reference path="Extjs_Intellisense.js" />
/// <reference path="src/data/XmlStore.js" />
/// <reference path="addjs/Base.js" />
/// <reference path="addjs/XmlTreeLoader.js" />


function GetPlayBackForm()
{
    if(!_playBackWind)
    {
        _playBackWind = new Ext.Window({
            applyTo:'PlayBackWin',
            layout:'fit',
            width:565,
            height:498,
            closeAction:'hide',
            closable:false,
            plain: true,
            items:
            [{
                applyTo: 'PlayBackTabs',
                deferredRender:false,
                border:false
            }],
            buttons: [
            {
                text: GetDefaultLang("lang_closeitem",'关闭'),
                handler: function()
                {
                    _playBackWind.hide();
                    $("replay").Stop();
                }
            }
            ]
        });
    }
    return _playBackWind;
}


function GetReplayPlayerIdx()
{
    if(lastRealPlayIdx!==1)
    {
        lastRealPlayIdx=1;
    }else
    {
        lastRealPlayIdx=2;
    } 
    return lastRealPlayIdx;
}



function ShowPlayBack(playerid,filename)
{
    var playbackwind=GetPlayBackForm();
    //playbackwind.show();
    try
    {
        $("playfile_"+playerid).innerText=GetDefaultLang("lang_playfilename","播放:{filename}").replace("{filename}",filename);
        $("playfile_"+playerid).title=filename;
    }catch(eee){}
};

